# Poco

# class InflatingOutputStream

Library: Foundation
Package: Streams
Header: Poco/InflatingStream.h

## Description

This stream decompresses all data passing through it using zlib's inflate algorithm.

After all data has been written to the stream, close() must be called to ensure completion of decompression.

## Inheritance

Direct Base Classes: InflatingIOS, std::ostream

All Base Classes: InflatingIOS, std::ios, std::ostream

## Member Summary

Member Functions: close

Inherited Functions: rdbuf

## Constructors

### InflatingOutputStream

InflatingOutputStream(
std::ostream & ostr,
InflatingStreamBuf::StreamType type = InflatingStreamBuf::STREAM_ZLIB
);

## Destructor

### ~InflatingOutputStream

~InflatingOutputStream();

## Member Functions

### close

int close();